{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdeacmodes/DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMNAME",
        "codeName" : "IBIZCustomName"
      }
    } ],
    "pagingSize" : 50,
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdeacmodes/DEFAULT",
    "getTextPSAppDEField" : {
      "name" : "IBIZCUSTOMNAME",
      "codeName" : "IBIZCustomName"
    },
    "getValuePSAppDEField" : {
      "name" : "IBIZCUSTOMID",
      "codeName" : "IBIZCustomId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Get",
    "requestField" : "IBIZCUSTOMID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Remove",
    "requestField" : "IBIZCUSTOMID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEMAN/psappdefuimodes/Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立人",
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto859",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
          "rTMOSFilePath" : "pslanguageres/Auto859",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEMAN/psdefformitems/Default",
        "name" : "[CREATEMAN][建立人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateMan/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateMan/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEMAN/psappdefuimodes/MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立人",
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto859",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
          "rTMOSFilePath" : "pslanguageres/Auto859",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEMAN/psdefformitems/MobileDefault",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateMan/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateMan/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateMan",
    "getLNPSLanguageRes" : {
      "defaultContent" : "建立人",
      "lanResTag" : "DEF.LNAME.CREATEMAN",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto859",
      "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
      "rTMOSFilePath" : "pslanguageres/Auto859",
      "refFlag" : true
    },
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateMan",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEDATE/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新时间",
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1074",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
          "rTMOSFilePath" : "pslanguageres/Auto1074",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEDATE/psdefformitems/MobileDefault",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateDate/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateDate/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEDATE/psappdefuimodes/Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新时间",
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1074",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
          "rTMOSFilePath" : "pslanguageres/Auto1074",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEDATE/psdefformitems/Default",
        "name" : "[UPDATEDATE][更新时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateDate/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateDate/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "UpdateDate",
    "getLNPSLanguageRes" : {
      "defaultContent" : "更新时间",
      "lanResTag" : "DEF.LNAME.UPDATEDATE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1074",
      "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
      "rTMOSFilePath" : "pslanguageres/Auto1074",
      "refFlag" : true
    },
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateDate",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMNAME/psappdefuimodes/Default",
      "name" : "[IBIZCUSTOMNAME][自定义名称]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "自定义名称",
          "lanResTag" : "DEF.LNAME.IBIZCUSTOMNAME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto568",
          "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMNAME]",
          "rTMOSFilePath" : "pslanguageres/Auto568",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMNAME/psdefformitems/Default",
        "name" : "[IBIZCUSTOMNAME][自定义名称]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomName/psdefformitems/Default",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomName/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMNAME/psappdefuimodes/MobileDefault",
      "name" : "[IBIZCUSTOMNAME][自定义名称]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "自定义名称",
          "lanResTag" : "DEF.LNAME.IBIZCUSTOMNAME",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto568",
          "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMNAME]",
          "rTMOSFilePath" : "pslanguageres/Auto568",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMNAME/psdefformitems/MobileDefault",
        "name" : "[IBIZCUSTOMNAME][自定义名称]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomName/psdefformitems/MobileDefault",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomName/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "IBIZCustomName",
    "getLNPSLanguageRes" : {
      "defaultContent" : "自定义名称",
      "lanResTag" : "DEF.LNAME.IBIZCUSTOMNAME",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto568",
      "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMNAME]",
      "rTMOSFilePath" : "pslanguageres/Auto568",
      "refFlag" : true
    },
    "logicName" : "自定义名称",
    "name" : "IBIZCUSTOMNAME",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomName",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEDATE/psappdefuimodes/Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立时间",
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto964",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
          "rTMOSFilePath" : "pslanguageres/Auto964",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEDATE/psdefformitems/Default",
        "name" : "[CREATEDATE][建立时间]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateDate/psdefformitems/Default",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateDate/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEDATE/psappdefuimodes/MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立时间",
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto964",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
          "rTMOSFilePath" : "pslanguageres/Auto964",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/CREATEDATE/psdefformitems/MobileDefault",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateDate/psdefformitems/MobileDefault",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateDate/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateDate",
    "getLNPSLanguageRes" : {
      "defaultContent" : "建立时间",
      "lanResTag" : "DEF.LNAME.CREATEDATE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto964",
      "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
      "rTMOSFilePath" : "pslanguageres/Auto964",
      "refFlag" : true
    },
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/CreateDate",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMID/psappdefuimodes/MobileDefault",
      "name" : "[IBIZCUSTOMID][自定义标识]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "自定义标识",
          "lanResTag" : "DEF.LNAME.IBIZCUSTOMID",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1593",
          "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMID]",
          "rTMOSFilePath" : "pslanguageres/Auto1593",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMID/psdefformitems/MobileDefault",
        "name" : "[IBIZCUSTOMID][自定义标识]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomId/psdefformitems/MobileDefault",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomId/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMID/psappdefuimodes/Default",
      "name" : "[IBIZCUSTOMID][自定义标识]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "自定义标识",
          "lanResTag" : "DEF.LNAME.IBIZCUSTOMID",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto1593",
          "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMID]",
          "rTMOSFilePath" : "pslanguageres/Auto1593",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/IBIZCUSTOMID/psdefformitems/Default",
        "name" : "[IBIZCUSTOMID][自定义标识]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomId/psdefformitems/Default",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomId/psappdefuimodes/Default",
      "type" : "DEFAULT"
    } ],
    "codeName" : "IBIZCustomId",
    "getLNPSLanguageRes" : {
      "defaultContent" : "自定义标识",
      "lanResTag" : "DEF.LNAME.IBIZCUSTOMID",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1593",
      "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZCUSTOMID]",
      "rTMOSFilePath" : "pslanguageres/Auto1593",
      "refFlag" : true
    },
    "logicName" : "自定义标识",
    "name" : "IBIZCUSTOMID",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/IBIZCustomId",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEMAN/psappdefuimodes/Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新人",
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto202",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
          "rTMOSFilePath" : "pslanguageres/Auto202",
          "refFlag" : true
        },
        "codeName" : "Default",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEMAN/psdefformitems/Default",
        "name" : "[UPDATEMAN][更新人]",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateMan/psdefformitems/Default",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateMan/psappdefuimodes/Default",
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEMAN/psappdefuimodes/MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新人",
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "lanResType" : "DEF.LNAME",
          "mOSFilePath" : "pslanguageres/Auto202",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
          "rTMOSFilePath" : "pslanguageres/Auto202",
          "refFlag" : true
        },
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdefields/UPDATEMAN/psdefformitems/MobileDefault",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateMan/psdefformitems/MobileDefault",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateMan/psappdefuimodes/MobileDefault",
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateMan",
    "getLNPSLanguageRes" : {
      "defaultContent" : "更新人",
      "lanResTag" : "DEF.LNAME.UPDATEMAN",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto202",
      "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
      "rTMOSFilePath" : "pslanguageres/Auto202",
      "refFlag" : true
    },
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdefields/UpdateMan",
    "stdDataType" : 25,
    "stringLength" : 60
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "IBIZCustomDTO",
    "name" : "IBIZCustomDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "CreateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO/psappdemethoddtofields/CreateDate",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO/psappdemethoddtofields/CreateMan",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZCustomId",
      "logicName" : "自定义标识",
      "name" : "IBIZCustomId",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO/psappdemethoddtofields/IBIZCustomId",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "IBIZCustomName",
      "logicName" : "自定义名称",
      "name" : "IBIZCustomName",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMNAME",
        "codeName" : "IBIZCustomName"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO/psappdemethoddtofields/IBIZCustomName",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO/psappdemethoddtofields/UpdateDate",
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO/psappdemethoddtofields/UpdateMan",
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomDTO",
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "IBIZCustomFilterDTO",
    "name" : "IBIZCustomFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_IBIZCUSTOMID_EQ",
      "logicName" : "自定义标识",
      "name" : "N_IBIZCUSTOMID_EQ",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomFilterDTO/psappdemethoddtofields/N_IBIZCUSTOMID_EQ",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_IBIZCUSTOMNAME_LIKE",
      "logicName" : "自定义名称",
      "name" : "N_IBIZCUSTOMNAME_LIKE",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMNAME",
        "codeName" : "IBIZCustomName"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomFilterDTO/psappdemethoddtofields/N_IBIZCUSTOMNAME_LIKE",
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethoddtos/IBIZCustomFilterDTO",
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/CheckKey",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Create",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Get",
    "requestField" : "IBIZCUSTOMID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/GetDraft",
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "IBIZCUSTOMID",
        "codeName" : "IBIZCustomId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Remove",
    "requestField" : "IBIZCUSTOMID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Save",
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Update",
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "IBIZCustomDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FetchDefault",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterCreate",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterFetch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterGet",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterGetDraft",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterRemove",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterSearch",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/FilterUpdate",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdemethods/Select",
    "requestMethod" : "GET",
    "requestParamType" : "URIPARAM",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEUILogics" : [ {
    "codeName" : "CustomViewFormLoad",
    "defaultParamName" : "Default",
    "logicName" : "Custom表单加载",
    "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdeuilogics/CustomViewFormLoad",
    "name" : "Custom表单加载",
    "getPSDEUILogicNodes" : [ {
      "codeName" : "Begin",
      "leftPos" : 650,
      "logicNodeType" : "BEGIN",
      "mOSFilePath" : "psappdeuilogicnodes/Begin",
      "name" : "开始",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/Begin",
      "topPos" : 150,
      "parallelOutput" : true
    }, {
      "codeName" : "VIEWCTRLINVOKE1",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "form"
      },
      "invokeMethod" : "load",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "viewParam"
      },
      "leftPos" : 420,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "mOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE1",
      "name" : "调用load",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "END1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE1",
      "topPos" : 500
    }, {
      "codeName" : "BINDPARAM1",
      "getDstPSDEUILogicParam" : {
        "modelref" : true,
        "id" : "form"
      },
      "leftPos" : 610,
      "logicNodeType" : "BINDPARAM",
      "mOSFilePath" : "psappdeuilogicnodes/BINDPARAM1",
      "name" : "绑定表单",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "存在主键",
        "getPSDEUILogicLinkGroupCond" : {
          "groupOP" : "AND",
          "logicType" : "GROUP",
          "getPSDEUILogicLinkConds" : [ {
            "condOP" : "ISNOTNULL",
            "dstFieldName" : "ibizbook",
            "getDstLogicParam" : {
              "modelref" : true,
              "id" : "context"
            },
            "logicType" : "SINGLE",
            "name" : "context[ibizbook] 值不为空(NotNil)"
          } ]
        },
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM1"
        }
      }, {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE2"
        },
        "linkMode" : 0,
        "name" : "不存在主键",
        "getPSDEUILogicLinkGroupCond" : {
          "groupOP" : "AND",
          "logicType" : "GROUP",
          "getPSDEUILogicLinkConds" : [ {
            "condOP" : "EQ",
            "dstFieldName" : "ibizbook",
            "getDstLogicParam" : {
              "modelref" : true,
              "id" : "context"
            },
            "logicType" : "SINGLE",
            "name" : "context[ibizbook]"
          } ]
        },
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM1"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/BINDPARAM1",
      "srcFieldName" : "form",
      "getSrcPSDEUILogicParam" : {
        "modelref" : true,
        "id" : "view"
      },
      "topPos" : 270
    }, {
      "codeName" : "END1",
      "leftPos" : 650,
      "logicNodeType" : "END",
      "mOSFilePath" : "psappdeuilogicnodes/END1",
      "name" : "结束",
      "rTMOSFilePath" : "psappdeuilogicnodes/END1",
      "returnType" : "NONEVALUE",
      "topPos" : 743
    }, {
      "codeName" : "VIEWCTRLINVOKE2",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "form"
      },
      "invokeMethod" : "loadDraft",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "viewParam"
      },
      "leftPos" : 789,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "mOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE2",
      "name" : "调用加载草稿",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "END1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE2"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE2",
      "topPos" : 500
    } ],
    "getPSDEUILogicParams" : [ {
      "codeName" : "view",
      "logicName" : "当前视图",
      "mOSFilePath" : "psappdeuilogicparams/view",
      "name" : "当前视图",
      "rTMOSFilePath" : "psappdeuilogicparams/view",
      "activeViewParam" : true
    }, {
      "codeName" : "viewParam",
      "logicName" : "当前视图参数",
      "mOSFilePath" : "psappdeuilogicparams/viewParam",
      "name" : "当前视图参数",
      "rTMOSFilePath" : "psappdeuilogicparams/viewParam",
      "viewNavDataParam" : true
    }, {
      "codeName" : "form",
      "logicName" : "表单部件",
      "mOSFilePath" : "psappdeuilogicparams/form",
      "name" : "表单部件",
      "rTMOSFilePath" : "psappdeuilogicparams/form",
      "ctrlParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "mOSFilePath" : "psappdeuilogicparams/Default",
      "name" : "传入变量",
      "rTMOSFilePath" : "psappdeuilogicparams/Default",
      "default" : true,
      "entityParam" : true
    }, {
      "codeName" : "context",
      "logicName" : "上下文",
      "mOSFilePath" : "psappdeuilogicparams/context",
      "name" : "上下文",
      "rTMOSFilePath" : "psappdeuilogicparams/context",
      "navContextParam" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdeuilogics/CustomViewFormLoad",
    "getStartPSDEUILogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    }
  }, {
    "codeName" : "CustomViewGridLoad",
    "defaultParamName" : "Default",
    "logicName" : "Custom表格加载",
    "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdeuilogics/CustomViewGridLoad",
    "name" : "Custom表格加载",
    "getPSDEUILogicNodes" : [ {
      "codeName" : "Begin",
      "leftPos" : 600,
      "logicNodeType" : "BEGIN",
      "mOSFilePath" : "psappdeuilogicnodes/Begin",
      "name" : "开始",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "Begin"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/Begin",
      "topPos" : 110,
      "parallelOutput" : true
    }, {
      "codeName" : "BINDPARAM1",
      "getDstPSDEUILogicParam" : {
        "modelref" : true,
        "id" : "searchForm"
      },
      "leftPos" : 560,
      "logicNodeType" : "BINDPARAM",
      "mOSFilePath" : "psappdeuilogicnodes/BINDPARAM1",
      "name" : "绑定搜索表单",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM2"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM1"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/BINDPARAM1",
      "srcFieldName" : "searchForm",
      "getSrcPSDEUILogicParam" : {
        "modelref" : true,
        "id" : "view"
      },
      "topPos" : 260
    }, {
      "codeName" : "END1",
      "leftPos" : 600,
      "logicNodeType" : "END",
      "mOSFilePath" : "psappdeuilogicnodes/END1",
      "name" : "结束",
      "rTMOSFilePath" : "psappdeuilogicnodes/END1",
      "returnType" : "NONEVALUE",
      "topPos" : 820
    }, {
      "codeName" : "VIEWCTRLINVOKE1",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "grid"
      },
      "invokeMethod" : "load",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "viewParam"
      },
      "leftPos" : 560,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "mOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE1",
      "name" : "表格加载",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "END1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE1",
      "topPos" : 690
    }, {
      "codeName" : "BINDPARAM2",
      "getDstPSDEUILogicParam" : {
        "modelref" : true,
        "id" : "grid"
      },
      "leftPos" : 560,
      "logicNodeType" : "BINDPARAM",
      "mOSFilePath" : "psappdeuilogicnodes/BINDPARAM2",
      "name" : "绑定表格",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE2"
        },
        "linkMode" : 0,
        "name" : "存在搜索表单",
        "getPSDEUILogicLinkGroupCond" : {
          "groupOP" : "AND",
          "logicType" : "GROUP",
          "getPSDEUILogicLinkConds" : [ {
            "condOP" : "ISNOTNULL",
            "getDstLogicParam" : {
              "modelref" : true,
              "id" : "searchForm"
            },
            "logicType" : "SINGLE",
            "name" : "searchForm 值不为空(NotNil)"
          } ]
        },
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM2"
        }
      }, {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "不存在搜索表单",
        "getPSDEUILogicLinkGroupCond" : {
          "groupOP" : "AND",
          "logicType" : "GROUP",
          "getPSDEUILogicLinkConds" : [ {
            "condOP" : "ISNULL",
            "getDstLogicParam" : {
              "modelref" : true,
              "id" : "searchForm"
            },
            "logicType" : "SINGLE",
            "name" : "searchForm 值为空(Nil)"
          } ]
        },
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "BINDPARAM2"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/BINDPARAM2",
      "srcFieldName" : "grid",
      "getSrcPSDEUILogicParam" : {
        "modelref" : true,
        "id" : "view"
      },
      "topPos" : 375
    }, {
      "codeName" : "VIEWCTRLINVOKE2",
      "getInvokeCtrl" : {
        "modelref" : true,
        "id" : "searchForm"
      },
      "invokeMethod" : "loadDraft",
      "getInvokeParam" : {
        "modelref" : true,
        "id" : "viewParam"
      },
      "leftPos" : 320,
      "logicNodeType" : "VIEWCTRLINVOKE",
      "mOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE2",
      "name" : "搜索表单加载草稿",
      "getPSDEUILogicLinks" : [ {
        "getDstPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE1"
        },
        "linkMode" : 0,
        "name" : "连接名称",
        "getSrcPSDEUILogicNode" : {
          "modelref" : true,
          "id" : "VIEWCTRLINVOKE2"
        }
      } ],
      "rTMOSFilePath" : "psappdeuilogicnodes/VIEWCTRLINVOKE2",
      "topPos" : 520
    } ],
    "getPSDEUILogicParams" : [ {
      "codeName" : "searchForm",
      "logicName" : "搜索表单部件",
      "mOSFilePath" : "psappdeuilogicparams/searchForm",
      "name" : "搜索表单部件",
      "rTMOSFilePath" : "psappdeuilogicparams/searchForm",
      "ctrlParam" : true
    }, {
      "codeName" : "grid",
      "logicName" : "表格部件",
      "mOSFilePath" : "psappdeuilogicparams/grid",
      "name" : "表格部件",
      "rTMOSFilePath" : "psappdeuilogicparams/grid",
      "ctrlParam" : true
    }, {
      "codeName" : "view",
      "logicName" : "当前视图",
      "mOSFilePath" : "psappdeuilogicparams/view",
      "name" : "当前视图",
      "rTMOSFilePath" : "psappdeuilogicparams/view",
      "activeViewParam" : true
    }, {
      "codeName" : "viewParam",
      "logicName" : "视图参数",
      "mOSFilePath" : "psappdeuilogicparams/viewParam",
      "name" : "视图参数",
      "rTMOSFilePath" : "psappdeuilogicparams/viewParam",
      "viewNavDataParam" : true
    }, {
      "codeName" : "Default",
      "logicName" : "传入变量",
      "mOSFilePath" : "psappdeuilogicparams/Default",
      "name" : "传入变量",
      "rTMOSFilePath" : "psappdeuilogicparams/Default",
      "default" : true,
      "entityParam" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom/psappdeuilogics/CustomViewGridLoad",
    "getStartPSDEUILogicNode" : {
      "modelref" : true,
      "id" : "Begin"
    }
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomCustomGridView.json",
    "viewType" : "DECUSTOMVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomUsr1118668829EditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomCustomEditView.json",
    "viewType" : "DECUSTOMVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/CREATE",
    "name" : "CREATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/CREATE"
  }, {
    "logicName" : "删除",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/DELETE",
    "name" : "DELETE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/DELETE"
  }, {
    "logicName" : "读取",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/READ",
    "name" : "READ",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/READ"
  }, {
    "logicName" : "更新",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/UPDATE",
    "name" : "UPDATE",
    "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZCUSTOM/psdeopprivs/UPDATE"
  } ],
  "codeName" : "IBIZCustom",
  "dEAPITag" : "IBIZCUSTOM",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustom.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "IBIZCUSTOMID",
    "codeName" : "IBIZCustomId"
  },
  "getLNPSLanguageRes" : {
    "defaultContent" : "自定义",
    "lanResTag" : "DE.LNAME.IBIZCUSTOM",
    "lanResType" : "DE.LNAME",
    "mOSFilePath" : "pslanguageres/Auto1227",
    "name" : "实体逻辑名称（DE.LNAME.*）[IBIZCUSTOM]",
    "rTMOSFilePath" : "pslanguageres/Auto1227",
    "refFlag" : true
  },
  "logicName" : "自定义",
  "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom",
  "getMajorPSAppDEField" : {
    "name" : "IBIZCUSTOMNAME",
    "codeName" : "IBIZCustomName"
  },
  "name" : "IBIZCUSTOM",
  "getPSDEName" : "IBIZCUSTOM",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "IBIZCustom"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZCustom.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/DemoAPI.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "IBIZCUSTOMNAME",
    "codeName" : "IBIZCustomName"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZCustom",
  "storageMode" : 0,
  "sysAPITag" : "DemoAPI",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}